
package com.eactive.eai.adapter.http.client;

import java.util.Properties;

import com.eactive.eai.httpouttlsinfo.HttpOutTlsInfoVO;

public interface HttpClientAdapterService {
	public Object execute(Properties prop, Object message, Properties tempProp) throws Exception;
	public void close();
	public void init(String adapterName, 
			boolean useMtls, HttpOutTlsInfoVO mtlsInfo,
			int maxTotalConnections, int maxHostConnections);
}
